import { useSettingsStore } from '@/stores/settings'
import { storeToRefs } from 'pinia'

export function useDarkMode() {
  const settings = useSettingsStore()
  const { darkMode } = storeToRefs(settings)
  return { darkMode, toggle: settings.toggleDarkMode }
}